Package com.microblink.blinkid.entities.recognizers.blinkid.imageoptions

# Interface FullDocumentImageOptions

All Known Implementing Classes:
  `BlinkIdMultiSideRecognizer`, `BlinkIdSingleSideRecognizer`, `DocumentFaceRecognizer`, `MrtdCombinedRecognizer`, `MrtdRecognizer`, `PassportRecognizer`, `UsdlCombinedRecognizer`, `VisaRecognizer`

public interface FullDocumentImageOptions

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CLASS_NAME`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `setReturnFullDocumentImage(boolean returnFullDocumentImage)`
  Sets whether full document image should be available in `FullDocumentImageResult`.
  `boolean`
  `shouldReturnFullDocumentImage()`
  Returns whether full document image will be available in `FullDocumentImageResult`.

- ## Field Details

  - ### CLASS_NAME

    @NonNull static final String CLASS_NAME
    See Also:
      - Constant Field Values

- ## Method Details

  - ### setReturnFullDocumentImage

    void setReturnFullDocumentImage(boolean returnFullDocumentImage)
    Sets whether full document image should be available in `FullDocumentImageResult`. If enabled, get image using `FullDocumentImageResult.getFullDocumentImage()` By default, this is set to 'false'. IMPORTANT NOTE: If you set `MicroblinkSDK.setIntentDataTransferMode(com.microblink.blinkid.intent.IntentDataTransferMode)` to `IntentDataTransferMode.STANDARD` recognizer which contains encoded image cannot be parcelized and passed by `Intent` extras because of Android limitations on intent extras size. If you are using one of the provided scan activities and expect receiving scan results in `Activity.onActivityResult(int, int, android.content.Intent)` method use either `IntentDataTransferMode.OPTIMISED` or `IntentDataTransferMode.PERSISTED_OPTIMISED` By default, this is set to 'false'
    Parameters:
      `returnFullDocumentImage` - whether full document image will be available in `FullDocumentImageResult`.

  - ### shouldReturnFullDocumentImage

    boolean shouldReturnFullDocumentImage()
    Returns whether full document image will be available in `FullDocumentImageResult`. By default, this is set to 'false'. By default, this is set to 'false'
    Returns:
      whether full document image will be available in `FullDocumentImageResult`.